Name: libsemanage
Version: 1.10.9
Release: alt1
License: LGPL
Url: http://www.nsa.gov/selinux
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: http://www.nsa.gov/selinux/archives/%name-%version.tgz
Summary: This package contains the libsemanage library, which provides an interface for SELinux management.
Group: System/Libraries

# Automatically added by buildreq on Sun Mar 09 2008
BuildRequires: flex libselinux-devel libsepol-devel python-dev

%description
shared libraries used by SELinux policy manipulation tools
This package provides the shared libraries for the manipulation of 
SELinux binary policies. It is used by checkpolicy (the policy compiler)
and similar tools, as well as by programs like load_policy that need
to perform specific transformations on binary policies such as
customizing policy boolean settings. This contains the run-time
libraries needed by such tools.
Security-enhanced Linux is a patch of the Linux kernel and a
number of utilities with enhanced security functionality designed to
add mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.
%package devel
Summary: Development files for %name
Group: Development/C
Requires: %name = %version
%description devel
Header files and libraries for SELinux policy manipulation tools
This package provides an API for the manipulation of SELinux binary policies.
It is used by checkpolicy (the policy compiler) and similar tools, as
well as by programs like load_policy that need to perform specific
transformations on binary policies such as customizing policy boolean
settings. It contains the static libraries and header files needed
for developing applications that manipulate SELinux binary policies.

Security-enhanced Linux is a patch of the Linux kernel and a
number of utilities with enhanced security functionality designed to
add mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.

%package -n python-module-selinux
Summary: Python module for %name
Group: System/Configuration/Other
%description -n python-module-selinux
Python bindings  for SELinux policy manipulation tools
This package provides python bindings for the manipulation of SELinux
binary policies.  

Security-enhanced Linux is a patch of the Linux kernel and a
number of utilities with enhanced security functionality designed to
add mandatory access controls to Linux.  The Security-enhanced Linux
kernel contains new architectural components originally developed to
improve the security of the Flask operating system. These
architectural components provide general support for the enforcement
of many kinds of mandatory access control policies, including those
based on the concepts of Type Enforcement, Role-based Access
Control, and Multi-level Security.

%prep
%setup

%build
%make_build pywrap

%install
%make DESTDIR=%buildroot install install-pywrap
%ifarch x86_64
mv %buildroot/lib %buildroot/lib64
mv %buildroot%_libexecdir %buildroot%_libdir
ln -sf ../../lib64/%name.so.1 %buildroot%_libdir/%name.so
%endif

%post -p %post_ldconfig

%postun -p %post_ldconfig

%files
%dir %_sysconfdir/selinux
%config(noreplace) %_sysconfdir/selinux/semanage.conf
%ifarch x86_64
/lib64/*.so.*
%else
/lib/*.so.*
%endif
%_man3dir/*

%files devel
%_libdir/*.so
%exclude %_libdir/*.a
%_includedir/semanage

%files -n python-module-selinux
%python_sitelibdir/*

%changelog
* Sun Mar 09 2008 Eugene Ostapets <eostapets@altlinux.ru> 1.10.9-alt1
- Initial build
